@startuml
title 6 publish
actor Actor
participant "CatERingAppManager.kitchenJobManager:KitchenJobManager" as kjm
participant "kitchenJobManager.currentKitchenJob:KitchenJob" as kj
participant "r: KitchenJobReceiver" as rec

Actor -> kjm++: publish()

alt currentKitchenJob == null 
    kjm -->> Actor: throw UseCaseLogicException
else
    kjm -> kj++:setPublished(true)
    deactivate kj
    
    group for each r in receivers
    	kjm -> rec++:notifyKitchenJobPublished(currentKitchenJob)
        deactivate rec
    end 
    
	kjm -->> Actor--    
end
@enduml
